Skip to content
Permalink
Browse files

fix(bazel): pin `@microsoft/api-extractor` (#32187)

The API of `@microsoft/api-extractor` changed in a minor version which is causes an error when using dts flattening downstream.

API wil be updated on master #32185

PR Close #32187
  • Loading branch information...
alan-agius4 authored and AndrewKushnir committed Aug 19, 2019
1 parent 789dd6a commit a7b94783b5c08682a5ab42994b06fa056f5a5c89
Showing with 3 additions and 3 deletions.
  1. +1 −1 package.json
  2. +1 −1 packages/bazel/package.json
  3. +1 −1 yarn.lock
@@ -39,7 +39,7 @@
"@bazel/karma": "0.34.0",
"@bazel/protractor": "0.34.0",
"@bazel/typescript": "0.34.0",
"@microsoft/api-extractor": "^7.0.21",
"@microsoft/api-extractor": "7.0.21",
"@schematics/angular": "^8.0.0-beta.15",
"@types/angular": "^1.6.47",
"@types/base64-js": "1.2.5",
@@ -29,7 +29,7 @@
"@angular-devkit/architect": "^0.800.0-beta.15",
"@angular-devkit/core": "^8.0.0-beta.15",
"@angular-devkit/schematics": "^8.0.0-beta.15",
"@microsoft/api-extractor": "^7.0.21",
"@microsoft/api-extractor": "7.0.21",
"@schematics/angular": "^8.0.0-beta.15",
"@types/node": "6.0.84",
"semver": "^5.6.0",
@@ -301,7 +301,7 @@
through2 "^2.0.0"
xdg-basedir "^3.0.0"

"@microsoft/api-extractor@^7.0.21":
"@microsoft/api-extractor@7.0.21":
version "7.0.21"
resolved "https://registry.yarnpkg.com/@microsoft/api-extractor/-/api-extractor-7.0.21.tgz#d5ff9bba4ff7283503aac83ad489b16cad293fc7"
integrity sha512-7lFcHNykVz0tvgOz9juXqP+a1j0EmnJ9J080CBE/171IxL4fBrpslPhqN86dNuavuPragRpBLc8Okv/bV7FJPQ==

0 comments on commit a7b9478

Please sign in to comment.
You can’t perform that action at this time.